curl --request POST \
--url https://api.hubapi.com/automation/v4/flows/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"flowId": "<string>",
"type": "FLOW_ID"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"type": "CONTACT_FLOW",
"id": "<string>",
"isEnabled": true,
"flowType": "WORKFLOW",
"revisionId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"nextAvailableActionId": "<string>",
"actions": [
{
"actionId": "<string>",
"inputValue": {
"actionId": "<string>",
"dataKey": "<string>",
"type": "FIELD_DATA"
},
"staticBranches": [
{
"branchValue": "<string>",
"connection": {
"edgeType": "GOTO",
"nextActionId": "<string>"
}
}
],
"type": "STATIC_BRANCH",
"defaultBranch": {
"edgeType": "GOTO",
"nextActionId": "<string>"
},
"defaultBranchName": "<string>"
}
],
"timeWindows": [
{
"day": "FRIDAY",
"endTime": {
"hour": 123,
"minute": 123
},
"startTime": {
"hour": 123,
"minute": 123
}
}
],
"blockedDates": [
{
"dayOfMonth": 123,
"month": "APRIL",
"year": 123
}
],
"customProperties": {},
"dataSources": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 123,
"name": "<string>",
"objectTypeId": "<string>",
"type": "ASSOCIATION",
"sortBy": {
"order": "ASC",
"property": "<string>",
"missing": "<string>"
}
}
],
"crmObjectCreationStatus": "PENDING",
"suppressionListIds": [
123
],
"canEnrollFromSalesforce": true,
"objectTypeId": "<string>",
"name": "<string>",
"description": "<string>",
"uuid": "<string>",
"startActionId": "<string>",
"enrollmentCriteria": {
"listFilterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
"<unknown>"
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
},
"reEnrollmentTriggersFilterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"shouldReEnroll": true,
"type": "LIST_BASED",
"unEnrollObjectsNotMeetingCriteria": true
},
"enrollmentSchedule": {
"timeOfDay": {
"hour": 123,
"minute": 123
},
"type": "DAILY"
},
"goalFilterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
},
"eventAnchor": {
"contactProperty": "<string>",
"type": "CONTACT_PROPERTY_ANCHOR"
},
"unEnrollmentSetting": {
"flowIds": [
"<string>"
],
"type": "ALL"
}
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Récupérez les détails de plusieurs flux d’automatisation en fournissant un lot d’ID de flux dans le corps de la requête. Ce point de terminaison permet de récupérer efficacement plusieurs flux à la fois et renvoie leurs détails dans une seule réponse.
curl --request POST \
--url https://api.hubapi.com/automation/v4/flows/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"flowId": "<string>",
"type": "FLOW_ID"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"type": "CONTACT_FLOW",
"id": "<string>",
"isEnabled": true,
"flowType": "WORKFLOW",
"revisionId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"nextAvailableActionId": "<string>",
"actions": [
{
"actionId": "<string>",
"inputValue": {
"actionId": "<string>",
"dataKey": "<string>",
"type": "FIELD_DATA"
},
"staticBranches": [
{
"branchValue": "<string>",
"connection": {
"edgeType": "GOTO",
"nextActionId": "<string>"
}
}
],
"type": "STATIC_BRANCH",
"defaultBranch": {
"edgeType": "GOTO",
"nextActionId": "<string>"
},
"defaultBranchName": "<string>"
}
],
"timeWindows": [
{
"day": "FRIDAY",
"endTime": {
"hour": 123,
"minute": 123
},
"startTime": {
"hour": 123,
"minute": 123
}
}
],
"blockedDates": [
{
"dayOfMonth": 123,
"month": "APRIL",
"year": 123
}
],
"customProperties": {},
"dataSources": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 123,
"name": "<string>",
"objectTypeId": "<string>",
"type": "ASSOCIATION",
"sortBy": {
"order": "ASC",
"property": "<string>",
"missing": "<string>"
}
}
],
"crmObjectCreationStatus": "PENDING",
"suppressionListIds": [
123
],
"canEnrollFromSalesforce": true,
"objectTypeId": "<string>",
"name": "<string>",
"description": "<string>",
"uuid": "<string>",
"startActionId": "<string>",
"enrollmentCriteria": {
"listFilterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
"<unknown>"
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
},
"reEnrollmentTriggersFilterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"shouldReEnroll": true,
"type": "LIST_BASED",
"unEnrollObjectsNotMeetingCriteria": true
},
"enrollmentSchedule": {
"timeOfDay": {
"hour": 123,
"minute": 123
},
"type": "DAILY"
},
"goalFilterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
},
"eventAnchor": {
"contactProperty": "<string>",
"type": "CONTACT_PROPERTY_ANCHOR"
},
"unEnrollmentSetting": {
"flowIds": [
"<string>"
],
"type": "ALL"
}
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Show child attributes
successful operation
La date et l'heure auxquelles le traitement par lots a été terminé, au format chaîne date-heure.
Show child attributes
La date et l'heure auxquelles le traitement par lots a commencé, au format chaîne date-heure.
Statut actuel du traitement par lots, avec les valeurs possibles suivantes : ANNULÉ, TERMINÉ, EN ATTENTE, EN COURS DE TRAITEMENT.
CANCELED, COMPLETE, PENDING, PROCESSING Une collection d'URL liées au traitement par lots, vide pour cette opération.
Show child attributes
La date et l'heure auxquelles la demande par lots a été lancée, au format chaîne date-heure.